

#ifndef _GMRCBASIC_H_
#define _GMRCBASIC_H_


void GMRCBASIC_Ack(void);
void GMRCBASIC_WaitReport(void);

void GMRCBASIC_MemSet(unsigned char  pDid);

void GMRCBASIC_Degree(unsigned char  pDid, 
                      unsigned char  pSid,
                      unsigned char  pAccel,
                      unsigned char  pDegree);

void GMRCBASIC_DegMem(unsigned char  pDid, 
                      unsigned char  pSid,
					  unsigned char  pAccel,
					  unsigned char  pDegree);

void GMRCBASIC_DegMemX(unsigned char   pDid, 
                       unsigned char   pN,
					   unsigned char   pAccel,
					   unsigned char  *pDegree);

void GMRCBASIC_Speed(unsigned char  pDid, 
                     unsigned char  pSid,
					 unsigned char  pSpeed);

void GMRCBASIC_SpdMem(unsigned char  pDid, 
                      unsigned char  pSid,
					  unsigned char  pSpeed);

void GMRCBASIC_SpdMemX(unsigned char   pDid, 
                       unsigned char   pN,
					   unsigned char  *pSpeed);

void GMRCBASIC_DegSpd(unsigned char  pDid, 
                      unsigned char  pSid,
					  unsigned char  pAccel,
					  unsigned char  pDegree, 
			   		  unsigned char  pSpeed);

void GMRCBASIC_DegSpdMem(unsigned char  pDid, 
                         unsigned char  pSid,
						 unsigned char  pAccel,
						 unsigned char  pDegree, 
			   		     unsigned char  pSpeed);

void GMRCBASIC_Pulse(unsigned char   pDid, 
                     unsigned char   pSid,
					 unsigned char   pAccel,
					 unsigned short  pTick);

void GMRCBASIC_Report(unsigned char   pDid);

void GMRCBASIC_ReportTime(unsigned char   pDid,
                          unsigned char   pSid,
                          unsigned char   pReportTime);

void GMRCBASIC_ReportTimeX(unsigned char   pDid, 
                              unsigned char   pN,
					          unsigned char  *pReportTime);

void GMRCBASIC_AccelDiv(unsigned char   pDid,
                        unsigned char   pSid,
                        unsigned char   pDiv);

void GMRCBASIC_AccelDivX(unsigned char   pDid, 
                         unsigned char   pN,
					     unsigned char  *pDiv);

void GMRCBASIC_PwmStart(unsigned char   pDid);

void GMRCBASIC_PwmStop(unsigned char   pDid);


#endif

























